## compiz 0.3.3-0ubuntu2~git2006112~edgy1

=== debian/changelog ===
compiz (1:0.3.3-0ubuntu2~git2006112~edgy1) edgy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- John Dong <john.dong@gmail.com>  Sat,  2 Dec 2006 05:43:53 +0000

compiz (1:0.3.3-0ubuntu2~git2006112) feisty; urgency=low

  * Make sure that the window settings preferences get installed in the 
    correct location

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 13 Nov 2006 02:24:08 +0000

compiz (1:0.3.3-0ubuntu1~git2006112) feisty; urgency=low

  * New upstream code, fixes metacity theme support properly
  * Add epoch to deal with compiz-plugins having an awkward version 
    number

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sun, 12 Nov 2006 23:30:37 +0000

compiz (0.3.3-0ubuntu1~git20061111) feisty; urgency=low

  * Fix up the default schema options

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat, 11 Nov 2006 02:55:13 +0000

compiz (0.3.3-0ubuntu~git20061111) feisty; urgency=low

  * Rebase to freedesktop.org compiz
  * Check whether Xgl is running before preloading GL libraries

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat, 11 Nov 2006 00:26:39 +0000

compiz (0.2) edgy; urgency=low

  * debian/control:
    + Correct the Replaces for compiz on compiz-core and compiz-gnome

 -- Matthias Urlichs <smurf@ubuntu.com>  Tue, 29 Aug 2006 06:07:58 +0200

compiz (0.0.13.38-0ubuntu2) edgy; urgency=low

  * debian/control:
    + Add correct Replaces for compiz on compiz-core and compiz-gnome

 -- Sebastian Dröge <slomo@ubuntu.com>  Sun, 27 Aug 2006 18:53:30 +0200

compiz (0.0.13.38-0ubuntu1) edgy; urgency=low

  [ Quinn Storm ]
  * speed fix patch from forums, hope it works well, is supposed to fix to the
  way it was in 13.11
  * now passes lintian!

  [ Matthew Garrett ]
  * Targetted at Ubuntu repository, re-add Ubuntu logo

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat, 26 Aug 2006 04:17:16 +0100

compiz (0.0.13.37-0ubuntu4) dapper; urgency=low

  * only bumping minor since this is a bugfix

 -- Quinn Storm <livinglatexkali@gmail.com>  Wed, 23 Aug 2006 16:01:15 -0400

compiz (0.0.13.37-0ubuntu3) dapper; urgency=low

  * fix libgnome-window-settings dependancy to say libgnome-window-settings1

 -- Quinn Storm <livinglatexkali@gmail.com>  Wed, 23 Aug 2006 04:40:42 -0400

compiz (0.0.13.37-0ubuntu2) dapper; urgency=low

  * packaging fix for dumbness

 -- Quinn Storm <livinglatexkali@gmail.com>  Tue, 22 Aug 2006 23:31:49 -0400

compiz (0.0.13.37-0ubuntu1) dapper; urgency=low

  * properly set version using debian/changelog

 -- Quinn Storm <livinglatexkali@gmail.com>  Tue, 22 Aug 2006 18:44:33 -0400

compiz (0.0.13.36-0ubuntu1) dapper; urgency=low

  * upstream updates - set tooltip type hint in g-w-d, writePngToFile
  function, sync request for override-redirect, typo fix, useless code
  removal, add CompStateCommit(enter key)

 -- Quinn Storm <livinglatexkali@gmail.com>  Tue, 22 Aug 2006 17:58:46 -0400

compiz (0.0.13.35-0ubuntu1) dapper; urgency=low

  * de-stupify build

 -- Quinn Storm <livinglatexkali@gmail.com>  Tue, 22 Aug 2006 01:30:30 -0400

compiz (0.0.13.35) dapper; urgency=low

  * updating build system to be more sensible

 -- Quinn Storm <livinglatexkali@gmail.com>  Mon, 21 Aug 2006 22:53:41 -0400

compiz (0.0.13-0quinn34) dapper; urgency=low

  * semi-hackish fix for window-types issues

 -- Quinn Storm <livinglatexkali@gmail.com>  Sun, 20 Aug 2006 07:03:01 -0400

compiz (0.0.13-0quinn33) dapper; urgency=low

  * add put plugin
  * fix gnome-window-decorator (by fixing decoration plugin & changing how
          cgwd works with it)

 -- Quinn Storm <livinglatexkali@gmail.com>  Sat, 19 Aug 2006 21:04:28 -0400

compiz (0.0.13-0quinn32) dapper; urgency=low

  * update to reflection plugin
  * more updates to decoration plugin, needed for cgwd 0.56
  * change default trailfocus settings
  * gl_include_inferiors patch
  * fbconfig-depth patch

 -- Quinn Storm <livinglatexkali@gmail.com>  Thu, 17 Aug 2006 23:26:45 -0400

compiz (0.0.13-0quinn31) dapper; urgency=low

  * patch to decoration to (mostly) properly handle transform matrices

 -- Quinn Storm <livinglatexkali@gmail.com>  Sat, 12 Aug 2006 06:26:01 -0400

compiz (0.0.13-0quinn30) dapper; urgency=low

  * added latest blur, reflection
  * patched blur & reflection to not crash
  * added the SampleMap.png to the dist
  * made it default in reflection

 -- Quinn Storm <livinglatexkali@gmail.com>  Fri, 11 Aug 2006 18:45:04 -0400

compiz (0.0.13-0quinn29) dapper; urgency=low

  * build system update
  * move to librsvg

 -- Quinn Storm <livinglatexkali@gmail.com>  Tue,  8 Aug 2006 01:25:53 -0400

compiz (0.0.13-0quinn28) dapper; urgency=low

  * adding Blur plugin!
  * bugfixes to showdesktop

 -- Quinn Storm <livinglatexkali@gmail.com>  Sun,  6 Aug 2006 14:44:56 -0400

compiz (0.0.13-0quinn27) dapper; urgency=low

  * just some little patches, not even sure what all
  * I know at least the desktop-slide patch

 -- Quinn Storm <livinglatexkali@gmail.com>  Thu,  3 Aug 2006 14:53:02 -0400

compiz (0.0.13-0quinn26) dapper; urgency=low

  * rotate-with-mousewheel-on-desktop is back.
  * bs is back.
  * zoom min/max/step is back
  * neg is back
  * raise-window is back
  * thanks to moppsy, arturh85, et. al. for their quick work

 -- Quinn Storm <livinglatexkali@gmail.com>  Thu, 27 Jul 2006 17:54:50 -0400

compiz (0.0.13-0quinn25) dapper; urgency=low

  * added showdesktop plugin
  * stripped showdesktop functionality out of scale

 -- Quinn Storm <livinglatexkali@gmail.com>  Wed, 26 Jul 2006 09:37:03 -0400

compiz (0.0.13-0quinn24) dapper; urgency=low

  * bugfixes to rotate and others from upstream
  * thanks to upstream the following has happened, but is likely easy to fix
  * -- Zoom now doesn't zoom 'out' (it just works as it used to)
  * -- Snap-by-default in wobbly doesn't really work (should be easy to fix)
  * -- widget, neg, and bs have been removed from the default build
  * -- -- this is because these plugins use the old binding system which

