=== debian/control ===
Source: compiz
Section: x11
Priority: optional
Maintainer: Quinn Storm <livinglatexkali@gmail.com>
Build-Depends: librsvg2-dev, libmetacity-dev, debhelper (>= 4.0.0), intltool, autotools-dev, pkg-config, libgnome-desktop-dev, libcairo2-dev, libpng12-dev, libxdamage-dev,libxcomposite-dev, libxfixes-dev, libxrandr-dev, libice-dev, libsm-dev, libstartup-notification0-dev, libgl1-mesa-dev, libgconf2-dev, libglib2.0-dev, libgtk2.0-dev, libwnck-dev, libpango1.0-dev, gnome-control-center, libgnomeui-dev, capplets-data, x11proto-gl-dev, libgnome-window-settings-dev | capplets-data (<< 1:2.15.0)
Standards-Version: 3.7.2

Package: compiz
Architecture: any
Depends: compiz-core, compiz-plugins (>= 0.2)
Recommends: compiz-gnome, cgwd (>= 0.59)
Description: OpenGL composition manager - transitional package
 this package depends on compiz-core and compiz-plugins, to ease
 transition to the new system

Package: compiz-core
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: compiz-plugins (<< 0.1)
Replaces: compiz (<= 0.0.2-4ubuntu2)
Description: OpenGL composition manager - core binaries et al 
 compiz provides support for compositing X windows using OpenGL. This allows
 clients to modify what is drawn to the screen before it happens and for this
 to be hardware accelerated.  

Package: compiz-gnome
Architecture: any
Depends: ${shlibs:Depends}, libgnome-window-settings1 | capplets-data (<< 1:2.15.0), compiz-core (= ${Source-Version})
Replaces: compiz (<= 0.0.2-4ubuntu2)
Description: Gnome window decorator and libraries for Compiz
 This is a gnome window decorator that can be used with the compiz composition
 and window manager.

Package: compiz-plugins
Architecture: any
Depends: ${shlibs:Depends}, compiz-core (= ${Source-Version})
Replaces: compiz (<= 0.0.2-4ubuntu2)
Description: Gnome window decorator and libraries for Compiz
 compiz provides support for compositing X windows using OpenGL. This allows
 clients to modify what is drawn to the screen before it happens and for this
 to be hardware accelerated.  
 .
 This package contains the plugins that make compiz useful.
