## compiz 0.8.8

=== debian/changelog ===
compiz (0.8.8-2~pointlinux1) stable; urgency=low

  * Non-maintainer upload.
  * Released for Point Linux.

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Fri, 01 Mar 2013 05:10:39 -0500

compiz (0.8.8-2) unstable; urgency=low

  * Don't remove compiz.desktop, and don't bundle compiz-mate-gtk.desktop
    in debian/mate_files
  * Don't remove compiz-wm.desktop. Install it from package compiz-mate in
    usr/share/mate/wm-properties/compiz-wm.desktop, for marco windows 
    settings to work in compiz.
  * update 001-mate-compiz.patch to update both desktop files to:
    - use X-MATE-WMSettingsModule=marco and X-MateWMSettingsLibrary=marco
    - drop deprecated Encoding=UTF-8 attribute
  * delete no longer needed patch 018_use_marco_settings.patch
  * delete no longer needed patch 060_move_checks_to_compiz.patch, we're
    already checking capabilities in /usr/bin/compiz-mate-gtk wrapper,
    and if we can't do indirect rendering, we fall back to marco.

 -- Jasmine Hassan <jasmine.aura@gmail.com>  Sun, 14 Oct 2012 03:21:07 +0200

compiz (0.8.8-1) unstable; urgency=low

  * new upstream release, non-maintainer fork
  * [debian/compat] Bump to Debhelper v7
  * [debian/copyright] convert to http://dep.debian.net/deps/dep5/ format
  * [debian/control]
    - rename compiz-gtk package to compiz-mate. update description thereof
    - add compiz-locales package, to reduce size of arch-dep compiz-core
    - bump Standards-Version to 3.9.3, Build-Dep debhelper to (>= 7.0.50~)
    - bump Build-Deps compiz-dev and libcompizconfig-dev to current version
    - B-D on dh-autoreconf, drop autoconf automake libtool autotools-dev
    - compiz-core depend on compiz for docs, and update compiz description
    - Remove compiz-kde package (commented out). Disabled via debian/rules
    - hardening-wrapper, to enable it from debian/rules (see below)
    - change the maintainer's email address
  * [debian/source/format] convert to '3.0 (quilt)' source format
  * [debian/patches/*]
  - Add 001-mate-compiz.patch: migration for MATE compatibility.
  - Add 002-mate-compiz_pot_files.patch - pot files MATE changes.
  - All migrated patches assume no files were renamed (ex: by migrate.sh).
    See notes under [debian/rules] further down this changelog.
  - Sync patches from Ubuntu (0.8.6-0u12) that are still needed in 0.8.8
    This is not the full list, only those that were migrated/updated.
    For the rest of (unchanged) patches, see debian/patches/series
    - 013-add-cursor-theme-support.patch: update: migrate to MATE
    - 018_use_marco_settings.patch: rename, migrate, update
    - 021_hide_tooltip_on_decorator.patch: update, migrate to MATE
    - 029_default_options.patch: update w/ new changes over Debian, migrate
      . use new compiz-mate-gtk wrapper script instead of compiz-decorator
      . revert to debian's logo instead of ubuntu's for adherence.
    - 060_move_checks_to_compiz.patch update, refresh
    - 562027-fix-mateconf-ftbfs.patch update, migrate, rename
  - Add 200-linuxmint-logo.patch to replace Debian logo with LinuxMint
  - Sync & update some from Wolfgang Ulrich's Redhat fc16 compiz fork:
    - 102-compiz_windows-decorator.patch: cleaned up, added dep3 header
    - 103-compiz-0.8.6-unloadpluginfix.patch: added dep3 header
  - Add 101-mate-compiz_fix_gwd_window_buttons_placement.patch. Thanks to
    Loftyhauser: http://forums.mate-desktop.org/viewtopic.php?f=8&t=818
  * [debian/patches/series] Indicate all origins of respective patches.
  * [debian/mate_files/*]
    - From Wolfgang Ulrich's forked redhat compiz package:
      - 50-marco-(navigation|system|windows).xml: enables some more compiz
        keybindings based on the marco ones
      - compiz-mate-gtk: wrapper script to run the appropriate decorator
        updated to add --replace options.
    - compiz-mate-gtk.desktop: X-MATE-WMSettingsModule=marco
    - compiz-keybindings.sed: Add keybindings (adapted from 0.8.4-4ubuntu1)
  * [debian/libdecoration0.symbols] after `debuild binary`, generate with:
    dpkg-gensymbols -plibdecoration0 -Pdebian/libdecoration0 | patch -p0
    perl -pi -e 's/-\d.*//' new_symbol_file  #strips the debian version
  * [debian/rules] use simplified dh style, only use necessary overrides
    - override_dh_autoreconf to rename files (gnome->MATE) after patching,
      and override_dh_(clean|builddeb) to revert filenames before dh_clean 
      and dpkg-source --after-build, respectively. The rationale is that we
      can keep a debian/patches much smaller sized, and much more portable!
    - Disable all kde stuff (kconfig/kde/kde4). Remove its xml and schema
    - Import keybindings from marco (adapted from 0.8.4-4ubuntu1)
    - Install compiz-mate-gtk*, remove compiz.desktop
    - Remove libmate(conf|compat) from plugins pkg. They're included in mate
    - Remove core.xml from plugins pkg. It's included in the core pkg
    - override_dh_makeshlibs to fix dependencies on libdecoration0
    - DEB_BUILD_HARDENING=1, to suppress lintian warnings
  * [debian/*.install]
    - compiz-dev: install schemas.xslt file (moved from compiz-core)
    - compiz-core: only install en_GB,en_US,fr locales
    - compiz-locales: all other locales
    - compiz-mate: install gtk files, our new keybindings & wrapper script
    - compiz-plugins: install xml files (moved from compiz-core)
  * [debian/*.docs]
    - Only compiz-core & libdecoration0 have docs. other pkgs use *.links
  * [debian/compiz-mate.links]
    - gtk-window-decorator bin/man to compiz-decorator and compiz-mate-gtk
  * [debian/watch] update download link from freedesktop.org to compiz.org
  * [debian/gbp.conf] remove it. this is not gonna be in debian unstable.
    See: http://lists.debian.org/debian-mentors/2012/10/msg00164.html

 -- Jasmine Hassan <jasmine.aura@gmail.com>  Thu, 11 Oct 2012 13:31:30 +0200

compiz (0.8.4-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build failure with GCC 4.7 (Sebastian Ramacher). Closes: #671995.


