=== debian/control ===
Source: compiz
Section: x11
Priority: optional
Maintainer: Jasmine Hassan <jasmine.aura@gmail.com>
Uploaders: David Nusinow <dnusinow@debian.org>, Sean Finney <seanius@debian.org>, Cyril Brulebois <kibi@debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf,
 hardening-wrapper,
 libmateconf-dev, libmatedesktop-dev,
 intltool, libcairo2-dev, libdbus-glib-1-dev,
 libgl1-mesa-dev (>= 6.5.1) | libgl-dev, libglib2.0-dev,
 libgtk2.0-dev, libice-dev (>= 1:1.0.1), 
 libmarco-dev, libpango1.0-dev, libpng12-dev | libpng-dev, librsvg2-dev, 
 libsm-dev (>= 1:1.0.1), libtool, libwnck-dev, libxcomposite-dev (>= 1:0.3-2), 
 libxdamage-dev (>=1:1.0.3), libxfixes-dev (>= 1:4.0.1), libxinerama-dev, 
 libxml-parser-perl, libxrandr-dev (>= 2:1.1.0.2), libxrender-dev (>= 1:0.9.1), 
 libxcursor-dev,
 libxml2-dev, libxslt1-dev,
 libstartup-notification0-dev (>= 0.7),
 x11proto-gl-dev (>= 1.4.8), xsltproc,
 libglu1-mesa-dev,
# kdebase-workspace-dev,
Standards-Version: 3.9.3


Package: compiz
Architecture: all
Depends: ${misc:Depends},
 compiz-core (>= ${source:Version}), compiz-plugins (>= ${source:Version}),
 compiz-mate (>= ${source:Version}), libcompizconfig0
Suggests: compizconfig-settings-manager
Description: OpenGL window and compositing manager (metapackage)
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This metapackage provides the components necessary for running compiz. It
 provides the compiz core, a set of standard plugins, a window decorator using
 the Gtk toolkit and the files necessary to integrate compiz with the MATE
 desktop environment.

Package: compiz-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mesa-utils
Breaks: libcompizconfig0 (<< 0.8.0)
Recommends: compiz-plugins (= ${binary:Version})
Suggests: nvidia-glx (>= 1.0.9625-1)
Provides: compiz-core-abiversion-${coreabiversion}
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 Compiz combines together a window manager and a composite manager using
 OpenGL for rendering. A "window manager" allows the manipulation of the
 multiple applications and dialog windows that are presented on the screen. A
 "composite manager" allows windows and other graphics to be combined together
 to create composite images. Compiz achieves its stunning effects by doing
 both of these functions.

Package: compiz-locales
Architecture: all
Depends: compiz-core, locales, ${misc:Depends}
Description: Translations for the Compiz OpenGL window/compositing manager
 This package contains translations for the Compiz OpenGL window and 
 compositing manager, needed when you want to be able to select an interface 
 language other than English (GB/US) or French.

Package: compiz-dev
Architecture: any
Depends: compiz-core (= ${binary:Version}), ${misc:Depends}, libgl1-mesa-dev | libgl-dev, libpng-dev, libxcomposite-dev (>= 1:0.3-2), libxfixes-dev (>= 1:4.0.1), libxdamage-dev (>= 1:1.0.3), libxinerama-dev, libxrandr-dev (>= 2:1.1.0.2), libxcursor-dev, libice-dev (>= 1:1.0.1), libsm-dev (>= 1:1.0.1), libstartup-notification0-dev (>= 0.7), libxslt1-dev, libxml2-dev
Description: OpenGL window and compositing manager - development files
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the headers and libraries needed to compile compiz
 plugins.

Package: compiz-mate
Architecture: any
Depends: compiz-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: compiz-gtk, compiz-plugins (<< 0.7.6-2)
Suggests: mate-themes
Description: OpenGL window and compositing manager - MATE window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains a window decorator that uses Gtk to provide a look and
 feel similar to that of the marco window manager, and files needed to 
 integrate compiz with the MATE desktop environment.

Package: compiz-plugins
Architecture: any
Depends: compiz-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: OpenGL window and compositing manager - plugins
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the standard plugins that come with compiz. Compiz
 without these plugins is not very useful.

Package: libdecoration0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Compiz window decoration library
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator and kde-window-decorator.

Package: libdecoration0-dev
Section: libdevel
Architecture: any
Depends: libdecoration0 (= ${binary:Version}), ${misc:Depends}, libx11-dev, libxrender-dev (>= 1:0.9.1)
Description: Compiz window decoration library - development files
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator and kde-window-decorator.
 .
 This package contains files required for developing window decorators
 compatible with Compiz.

# vim: tw=0
