## compiz 0.8.14

=== debian/changelog ===
compiz (2:0.8.14-0mx15+1) mx; urgency=medium

  * New upstream release.
    - Handle _NET_WM_MOVERESIZE ClientMessages
    - Fixes whisker menu resize bug
    - Improve horizontal and vertical maximizing
    - Remove 'Number of Desktops' option
    - Fix crash when displaying special characters in gtk-window-decorator
    - Update translations
    - Set rotate and wall default flip bindings to None
    - Fixes problem where edges of screen are unclickable by default
    - Fix potential for skydome silently failing to render
    - Don't fallback for exceeding max texture size
    - Improved --button-layout behavior for gtk-window-decorator

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 19 Jun 2017 18:58:10 -0700

compiz (2:0.8.12.3-0mx15+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Add epoch to upgrade over older version in our repo.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 16 Mar 2017 12:28:19 -0700

compiz (0.8.12.3-0~jessie1) jessie; urgency=low

  * New upstream release.
  * Drop video plugin on default setup (this plugin is obsolete).
  * Update dh_makeshlibs with new version.
  * Add libxi-dev on build-deps and for compiz-dev.

 -- Jof Thibaut <compiz@tuxfamily.org>  Wed, 18 May 2016 12:41:56 +0200

compiz (0.8.12.1-0~jessie1) jessie; urgency=low

  * New upstream release.

 -- Jof Thibaut <compiz@tuxfamily.org>  Thu, 17 Mar 2016 21:04:37 +0100

compiz (0.8.12-0~jessie1) jessie; urgency=low

  * New upstream release.
    - forked on Github : Compiz Reloaded
    - full support of MATE desktop
    - remove kde-decorator support, does not work anymore
      with kde5
    - add Desktop Wall plugin from compiz-plugins-main project
    - replace gnomecompat plugin with matecompat
    - add command line options for button layout and titlebar
      font
    - remove GConf support as it's obsolete
    - add script to start Compiz and GTK+ decorator + desktop 
      file
    - add all relevant checks from compiz-manager
    - gtk-window-decorator: Make it possible to build with Gtk3
    - add a compiz-decorator script that tries to detect the best
      suitable decorator
    - update annotate plugin
    - many more bug fixes and improvements, see git log
  * Switch to format 3.0 (quilt).
  * Update compat and rules for debhelper 9.
  * Bump standards to version 3.9.6.
  * Change Priority to optional.
  * Update copyright to format 1.0 and Homepage link.
  * Update watch file with new link on github.
  * Override dh_makeshlibs to fix dependencies on libdecoration0.
  * Drop compiz-kde package.
  * Improve deps for compiz-gtk and compiz packages.
  * Add compiz-mate package to install matecompat plugin and
    gsettings file.
  * Add build-depends to build matecompat plugin.
  * Rewrite CONF_FLAGS and PLUGINS with new setup.
  * Build with GTK2 for more compat.
  * Replace old autotools deps with dh-autoreconf.
  * Update gtk-window-decorator.1 manpage with new options.
  * Drop all old debian/patches, applied upstream or unneeded.

 -- Jof Thibaut <compiz@tuxfamily.org>  Fri, 26 Feb 2016 14:13:04 +0100
