=== debian/control ===
Source: compiz
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jof Thibaut <compiz@tuxfamily.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               intltool, 
               libcairo2-dev,
               libglib2.0-dev,
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libgl1-mesa-dev (>= 6.5.1) | libgl-dev,
               libglu1-mesa-dev,
               libgtk2.0-dev,
               libice-dev (>= 1:1.0.1), 
               libmarco-dev (>= 1.8.0),
               libmate-desktop-dev (>= 1.8.0),
               libpango1.0-dev,
               libpng12-dev | libpng-dev,
               libjpeg62-turbo-dev,
               librsvg2-dev, 
               libsm-dev (>= 1:1.0.1),
               libstartup-notification0-dev (>= 0.7),
               libwnck-dev,
               libxcomposite-dev (>= 1:0.3-2), 
               libxcursor-dev,
               libxdamage-dev (>=1:1.0.3),
               libxfixes-dev (>= 1:4.0.1),
               libxinerama-dev,
               libxi-dev, 
               libxml2-dev,
               libxml-parser-perl,
               libxrandr-dev (>= 2:1.1.0.2),
               libxrender-dev (>= 1:0.9.1), 
               libxslt1-dev,
               marco-common,
               x11proto-gl-dev (>= 1.4.8),
               xsltproc
Standards-Version: 3.9.6
Homepage: https://github.com/compiz-reloaded/compiz

Package: compiz
Architecture: all
Depends: ${misc:Depends},
         compiz-core (>= ${source:Version}),
         compiz-plugins (>= ${source:Version}),
         compiz-gtk (>= ${source:Version}),
         compiz-fusion-plugins-main,
         compizconfig-settings-manager,
         libcompizconfig0 (>= 0.8.14-0~),
         fusion-icon,
         ccsm | simple-ccsm,
         compiz-fusion-plugins-main (>= 0.8.14-0~),
         compiz-fusion-plugins-extra (>= 0.8.14-0~),
         compiz-fusion-plugins-experimental (>= 0.8.14-0~),
         emerald
Suggests: compiz-mate
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This metapackage provides the components necessary for running compiz. It
 provides the compiz core, a set of standard plugins, a window decorator using
 the Gtk toolkit and a settings manager.
 .
 The user can install compiz-fusion-plugins-extra and 
 compiz-fusion-plugins-experimental for even more features.

Package: compiz-core
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mesa-utils
Breaks: libcompizconfig0 (<< 0.8.4)
Recommends: compiz-plugins (= ${binary:Version}),
            compiz-fusion-plugins-main (>= 0.8.14-0~),
Suggests: nvidia-driver  (>= 340.96-1)
Provides: compiz-core-abiversion-${coreabiversion}
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 Compiz combines together a window manager and a composite manager using
 OpenGL for rendering. A "window manager" allows the manipulation of the
 multiple applications and dialog windows that are presented on the screen. A
 "composite manager" allows windows and other graphics to be combined together
 to create composite images. Compiz achieves its stunning effects by doing
 both of these functions.

Package: compiz-dev
Architecture: any
Depends: compiz-core (= ${binary:Version}),
         ${misc:Depends},
         libgl1-mesa-dev | libgl-dev,
         libpng-dev,
         libjpeg62-turbo-dev,
         libxcomposite-dev (>= 1:0.3-2),
         libxfixes-dev (>= 1:4.0.1),
         libxdamage-dev (>= 1:1.0.3),
         libxinerama-dev,
         libxrandr-dev (>= 2:1.1.0.2),
         libxcursor-dev,
         libice-dev (>= 1:1.0.1),
         libsm-dev (>= 1:1.0.1),
         libstartup-notification0-dev (>= 0.7),
         libxi-dev,
         libxslt1-dev,
         libxml2-dev
Description: OpenGL window and compositing manager - development files
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the headers and libraries needed to compile compiz
 plugins.

Package: compiz-gtk
Architecture: any
Depends: compiz-core (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libcompizconfig0 (>= 0.8.14-0~)
Replaces: compiz-plugins (<< 0.7.6-2)
Recommends: compizconfig-settings-manager
Suggests: emerald
Description: OpenGL window and compositing manager - Gtk window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains a window decorator that uses Gtk to provide a look and
 feel similar to that of the marco window manager.

Package: compiz-mate
Architecture: any
Depends: compiz-gtk (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         marco (>= 1.8.0),
         mate-themes
Description: OpenGL window and compositing manager - MATE window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains files needed to integrate compiz with the MATE desktop
 environment.

Package: compiz-plugins
Architecture: any
Depends: compiz-core (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: OpenGL window and compositing manager - plugins
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the standard plugins that come with compiz. Compiz
 without these plugins is not very useful.

Package: libdecoration0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Compiz window decoration library
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator.

Package: libdecoration0-dev
Section: libdevel
Architecture: any
Depends: libdecoration0 (= ${binary:Version}),
         ${misc:Depends},
         libx11-dev,
         libxrender-dev (>= 1:0.9.1)
Description: Compiz window decoration library - development files
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator and kde-window-decorator.
 .
 This package contains files required for developing window decorators
 compatible with Compiz.
