=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/release-?(\d\S*)\.tar\.gz/compiz-$1\.tar\.gz/ \
  https://github.com/compiz-reloaded/compiz/tags .*/release-?(\d\S*)\.tar\.gz
